=== debian/changelog ===
openwsman (2.6.5-0ubuntu8) lunar; urgency=medium

  * Turn off python build in debian/rules.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 31 Dec 2022 08:24:11 +0000

openwsman (2.6.5-0ubuntu7) lunar; urgency=medium

  * Drop python2 bindings.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 31 Dec 2022 08:09:04 +0000

openwsman (2.6.5-0ubuntu6) jammy; urgency=medium

  * No-change rebuild against libssl3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 09 Dec 2021 00:11:39 +0000

openwsman (2.6.5-0ubuntu5) focal; urgency=medium

  * Switch to python2-dev build-dependency.
  * Patch duplicate define used in case statement.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 01 Apr 2020 18:04:24 +0100

openwsman (2.6.5-0ubuntu4) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:22:16 +0100

openwsman (2.6.5-0ubuntu3) bionic; urgency=medium

  * debian/control: breaks/replaces for libwsman-client2.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Sat, 10 Mar 2018 05:32:44 -0500

openwsman (2.6.5-0ubuntu2) bionic; urgency=medium

  * Fix binary package to reflect the bumped soname from libwsman-client2
    to libwsman-client4.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 09 Mar 2018 10:07:10 -0500

openwsman (2.6.5-0ubuntu1) bionic; urgency=medium

  * New upstream release
  * d/p/fix_with_openssl1.11: Allow build with openssl 1.11 (LP: #1754012)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 08 Mar 2018 08:19:15 -0500
